Support Article

Update to Pega 7.2.2 fails due to installed hotfixes

SA-37626

Summary



The update to Pega 7.2.2 fails due to existing rules and code modules that have been updated with hotfixes after the release build.


Error Messages



BUILD FAILED
/test0/izv/software/pega722_upd/pegaGuiInstallerTemp/build.xml:114: The following error occurred while executing this line:
/test0/izv/software/pega722_upd/scripts/setupDatabase.xml:387: The following error occurred while executing this line:
/test0/izv/software/pega722_upd/scripts/setupDatabase.xml:1764: This update cannot be applied, the system contains hotfixes generated after this release was built.


Steps to Reproduce



Run the Pega 7.2.2 update with the deployment UI tool.


Root Cause



This is expected behavior of the software.

Resolution



See Appendix D of the Pega 7.2.2 Update Guide (https://pdn.pega.com/documents/pega-722-platform-update-guide) for details on what to do in this case.

Published May 8, 2017 - Updated May 19, 2017

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.